GET api/rewards
Gets a list of rewards ordered by create date. The offset and count parameters can be used to specify the set of referrals.
Request Information
URI Parameters
Query String: programId={programId}&memberId={memberId}&query={query}&status={status}&sort={sort}&dateFrom={dateFrom}&dateTo={dateTo}&offset={offset}&count={count}
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId |
ID of the program, program name, or program title. Optional. |
string |
None. |
| memberId |
ID of the member. Optional. |
globally unique identifier |
None. |
| query |
If specified, the recipient must have this value as its email address, id, or external id. You can also query by member referral code Optional. |
string |
None. |
| status |
If specified, the rewards must be in this status. Accepted values are 'Pending', 'Processing', and 'Issued'. Optional |
string |
None. |
| sort |
Column to sort by. Accepted values: Create_Dt_Asc , Create_Dt_Desc , Reward_Action_Desc, Reward_Action_Asc, Recipient_Name_Desc, Recipient_Name_Asc, Complete_Dt_Desc, Complete_Dt_Asc. Optional. |
string |
Default value is Create_Dt_Desc |
| dateFrom |
Show all members created after this date. Optional. |
date |
None. |
| dateTo |
Show all members created before this date. Optional. |
date |
None. |
| offset |
Starting index (0 based) of the referrals. Optional. |
integer |
Default value is 0 |
| count |
Count of referrals rewards. Optional. |
integer |
Default value is 2147483647 |
Body Parameters
None.
Response Information
Resource Description
[HTTP Status 200 - OK] A set of rewards.
Type: RewardSet
| Name | Description | Type | Additional information |
|---|---|---|---|
| rewards | Collection of Reward |
None. |
|
| offset |
Starting index (0 based) of the elements in the set. |
integer |
None. |
| total |
Total number of elements in the set. |
integer |
None. |
| message |
The message provides more information about the results of the client's request. Review this field for error information. |
string |
None. |
Response Formats
application/json, text/json
{
"offset": 1,
"total": 2,
"message": "sample string 3",
"rewards": [
{
"id": "aa1e27a1-8671-4520-b3f3-f02d00d79594",
"payoutId": "c20d9d33-18f5-42ec-b3ce-1c5b694ab29d",
"payoutDescription": "sample string 3",
"programId": "b85c6f6a-cd5b-4f1b-9ff1-d6b29ccace47",
"programName": "sample string 5",
"memberId": "fa7ac56d-ac8a-4e7d-8330-a864c784efe2",
"referralId": "12be6960-3ed5-4f02-97c7-67966b75b347",
"type": "sample string 6",
"recipientId": "88907e86-3812-413f-94f9-f75181726448",
"recipientName": "sample string 7",
"recipientEmailAddress": "sample string 8",
"recipientExternalIdentifier": "sample string 9",
"externalIdentifier": "sample string 10",
"status": "sample string 11",
"amount": 12.0,
"createDate": "2026-02-06T13:47:39.7032622Z",
"issueDate": "2026-02-06T13:47:39.7032622Z",
"eligibilityDate": "2026-02-06T13:47:39.7032622Z",
"description": "sample string 15",
"transactionID": "56de755f-59d1-4194-bd82-6c4ed10b086f",
"updateDate": "2026-02-06T13:47:39.7032622Z",
"referralDisplayName": "sample string 17",
"currencyCode": "sample string 18",
"source": "sample string 19",
"programRewardRuleId": "5684c44e-6f64-4d4d-9c8a-02f9280da923",
"paymentType": "sample string 20",
"paymentCode": "sample string 21",
"completeNote": "sample string 22",
"reason": "sample string 23",
"reasonOther": "sample string 24"
},
{
"id": "aa1e27a1-8671-4520-b3f3-f02d00d79594",
"payoutId": "c20d9d33-18f5-42ec-b3ce-1c5b694ab29d",
"payoutDescription": "sample string 3",
"programId": "b85c6f6a-cd5b-4f1b-9ff1-d6b29ccace47",
"programName": "sample string 5",
"memberId": "fa7ac56d-ac8a-4e7d-8330-a864c784efe2",
"referralId": "12be6960-3ed5-4f02-97c7-67966b75b347",
"type": "sample string 6",
"recipientId": "88907e86-3812-413f-94f9-f75181726448",
"recipientName": "sample string 7",
"recipientEmailAddress": "sample string 8",
"recipientExternalIdentifier": "sample string 9",
"externalIdentifier": "sample string 10",
"status": "sample string 11",
"amount": 12.0,
"createDate": "2026-02-06T13:47:39.7032622Z",
"issueDate": "2026-02-06T13:47:39.7032622Z",
"eligibilityDate": "2026-02-06T13:47:39.7032622Z",
"description": "sample string 15",
"transactionID": "56de755f-59d1-4194-bd82-6c4ed10b086f",
"updateDate": "2026-02-06T13:47:39.7032622Z",
"referralDisplayName": "sample string 17",
"currencyCode": "sample string 18",
"source": "sample string 19",
"programRewardRuleId": "5684c44e-6f64-4d4d-9c8a-02f9280da923",
"paymentType": "sample string 20",
"paymentCode": "sample string 21",
"completeNote": "sample string 22",
"reason": "sample string 23",
"reasonOther": "sample string 24"
}
]
}
application/xml, text/xml
<RewardSet xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<offset>1</offset>
<total>2</total>
<message>sample string 3</message>
<rewards>
<reward>
<id>aa1e27a1-8671-4520-b3f3-f02d00d79594</id>
<payoutId>c20d9d33-18f5-42ec-b3ce-1c5b694ab29d</payoutId>
<payoutDescription>sample string 3</payoutDescription>
<programId>b85c6f6a-cd5b-4f1b-9ff1-d6b29ccace47</programId>
<programName>sample string 5</programName>
<memberId>fa7ac56d-ac8a-4e7d-8330-a864c784efe2</memberId>
<referralId>12be6960-3ed5-4f02-97c7-67966b75b347</referralId>
<type>sample string 6</type>
<recipientId>88907e86-3812-413f-94f9-f75181726448</recipientId>
<recipientName>sample string 7</recipientName>
<recipientEmailAddress>sample string 8</recipientEmailAddress>
<recipientExternalIdentifier>sample string 9</recipientExternalIdentifier>
<externalIdentifier>sample string 10</externalIdentifier>
<status>sample string 11</status>
<amount>12</amount>
<createDate>2026-02-06T13:47:39.7032622+00:00</createDate>
<issueDate>2026-02-06T13:47:39.7032622+00:00</issueDate>
<eligibilityDate>2026-02-06T13:47:39.7032622+00:00</eligibilityDate>
<description>sample string 15</description>
<transactionID>56de755f-59d1-4194-bd82-6c4ed10b086f</transactionID>
<updateDate>2026-02-06T13:47:39.7032622+00:00</updateDate>
<referralDisplayName>sample string 17</referralDisplayName>
<currencyCode>sample string 18</currencyCode>
<source>sample string 19</source>
<programRewardRuleId>5684c44e-6f64-4d4d-9c8a-02f9280da923</programRewardRuleId>
<paymentType>sample string 20</paymentType>
<paymentCode>sample string 21</paymentCode>
<completeNote>sample string 22</completeNote>
<reason>sample string 23</reason>
<reasonOther>sample string 24</reasonOther>
</reward>
<reward>
<id>aa1e27a1-8671-4520-b3f3-f02d00d79594</id>
<payoutId>c20d9d33-18f5-42ec-b3ce-1c5b694ab29d</payoutId>
<payoutDescription>sample string 3</payoutDescription>
<programId>b85c6f6a-cd5b-4f1b-9ff1-d6b29ccace47</programId>
<programName>sample string 5</programName>
<memberId>fa7ac56d-ac8a-4e7d-8330-a864c784efe2</memberId>
<referralId>12be6960-3ed5-4f02-97c7-67966b75b347</referralId>
<type>sample string 6</type>
<recipientId>88907e86-3812-413f-94f9-f75181726448</recipientId>
<recipientName>sample string 7</recipientName>
<recipientEmailAddress>sample string 8</recipientEmailAddress>
<recipientExternalIdentifier>sample string 9</recipientExternalIdentifier>
<externalIdentifier>sample string 10</externalIdentifier>
<status>sample string 11</status>
<amount>12</amount>
<createDate>2026-02-06T13:47:39.7032622+00:00</createDate>
<issueDate>2026-02-06T13:47:39.7032622+00:00</issueDate>
<eligibilityDate>2026-02-06T13:47:39.7032622+00:00</eligibilityDate>
<description>sample string 15</description>
<transactionID>56de755f-59d1-4194-bd82-6c4ed10b086f</transactionID>
<updateDate>2026-02-06T13:47:39.7032622+00:00</updateDate>
<referralDisplayName>sample string 17</referralDisplayName>
<currencyCode>sample string 18</currencyCode>
<source>sample string 19</source>
<programRewardRuleId>5684c44e-6f64-4d4d-9c8a-02f9280da923</programRewardRuleId>
<paymentType>sample string 20</paymentType>
<paymentCode>sample string 21</paymentCode>
<completeNote>sample string 22</completeNote>
<reason>sample string 23</reason>
<reasonOther>sample string 24</reasonOther>
</reward>
</rewards>
</RewardSet>